<?php
include('../common/parseargs.php');
include('../common/getObject.php');

$USAGE=" --disksafeid=<disksafeid> ";

include('../common/basicargcheck.php');

if ($argc < 2) {
        usage($argv[0],$USAGE);
        exit(1);
}


#arguments
$DISKSAFEID=$args_array['disksafeid'];


if (strlen($DISKSAFEID) < 1) {
        echo "ERROR: --disksafeid=<disksafeid> must be defined\n";
        usage($argv[0],$USAGE);
        exit(1);
}

$diskSafeObj = getDiskSafes($USER,$PASS,$HOST,$PORT);

foreach($diskSafeObj->return as $tmp)
{
	if($tmp->id == $DISKSAFEID)
	{
		$diskSafe = $tmp;
		break;
	}

}

try{

	$client = new soapclient("https://$HOST:$PORT/DiskSafe?wsdl",
		array('login'=>"$USER",
		'password'=>"$PASS",
		'trace'=>1
		)
	);

	$client->deleteDiskSafe(array('diskSafe'=>$diskSafe));

	echo "Successfully executed deleteDiskSafe\n";
	exit(0);
} 
catch (SoapFault $exception)
{
	echo $exception;
	echo(1);
}





?> 
